> ## Documentation Index
> Fetch the complete documentation index at: https://docs.arrays.org/llms.txt
> Use this file to discover all available pages before exploring further.

# Get equity offering events

> [OpenAPI JSON Spec](/docs/output/v1_stocks_equity-offering_get.json)
Return the latest equity offerings, including new shares being issued by companies and exempt offerings and amendments. Served from the local Postgres table populated by the daily ingestion cron.



## OpenAPI

````yaml /api-reference/openapi.json get /v1/stocks/equity-offering
openapi: 3.0.0
info:
  contact: {}
  description: >-
    Welcome to Arrays!


    Arrays is a unified financial data layer for both financial institutions and
    retail users, delivering comprehensive market data across crypto and equity
    markets. Our datasets cover fundamentals, ETFs, options, crypto, and more.


    Visit [arrays.org](https://arrays.org) to request an API key and start your
    free trial. You can explore our full API offerings in the documentation
    below.


    For any questions regarding APIs or pricing, please contact
    support@arrays.org.
  title: Arrays API
  version: '1.0'
servers:
  - url: https://data-tools.prd.arrays.org/api
security: []
paths:
  /v1/stocks/equity-offering:
    get:
      tags:
        - Stock
      summary: Get equity offering events
      description: >-
        [OpenAPI JSON Spec](/docs/output/v1_stocks_equity-offering_get.json)

        Return the latest equity offerings, including new shares being issued by
        companies and exempt offerings and amendments. Served from the local
        Postgres table populated by the daily ingestion cron.
      parameters:
        - description: Page number starting from 0
          in: query
          name: page
          required: true
          schema:
            type: integer
            minimum: 0
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                properties:
                  data:
                    items:
                      $ref: '#/components/schemas/model.FundraisingRssEvent'
                    type: array
                  success:
                    type: boolean
                type: object
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/model.APIResponse'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/model.APIResponse'
      security:
        - ApiKeyAuth: []
components:
  schemas:
    model.FundraisingRssEvent:
      properties:
        acceptance_time:
          type: string
        cik:
          example: '0001949154'
          type: string
        company_name:
          example: Avlok Capital, LP - C2
          type: string
        date:
          example: '2022-10-05T04:00:00.000Z'
          type: string
        date_of_first_sale:
          type: string
        duration_of_offering_is_more_than_year:
          type: boolean
        entity_name:
          example: Avlok Capital, LP - C2
          type: string
        entity_type:
          example: Limited Partnership
          type: string
        federal_exemptions_exclusions:
          type: string
        filing_date:
          example: '2022-10-05 00:00:00'
          type: string
        finders_fees:
          type: integer
        form_signification:
          example: Notice of Exempt Offering of Securities
          type: string
        form_type:
          example: D
          type: string
        gross_proceeds_used:
          type: integer
        has_non_accredited_investors:
          type: boolean
        incorporated_within_five_years:
          type: boolean
        industry_group_type:
          type: string
        is_amendment:
          type: boolean
        is_business_combination_transaction:
          type: boolean
        issuer_city:
          type: string
        issuer_phone_number:
          type: string
        issuer_state_or_country:
          type: string
        issuer_state_or_country_description:
          type: string
        issuer_street:
          type: string
        issuer_zip_code:
          type: string
        jurisdiction_of_incorporation:
          type: string
        minimum_investment_accepted:
          type: integer
        related_person_city:
          type: string
        related_person_first_name:
          type: string
        related_person_last_name:
          type: string
        related_person_relationship:
          type: string
        related_person_state_or_country:
          type: string
        related_person_state_or_country_description:
          type: string
        related_person_street:
          type: string
        related_person_zip_code:
          type: string
        revenue_range:
          type: string
        sales_commissions:
          type: integer
        securities_offered_are_of_equity_type:
          type: boolean
        total_amount_remaining:
          type: integer
        total_amount_sold:
          type: integer
        total_number_already_invested:
          type: integer
        total_offering_amount:
          type: integer
        year_of_incorporation:
          type: string
      type: object
    model.APIResponse:
      properties:
        data: {}
        error:
          $ref: '#/components/schemas/model.APIError'
        metadata: {}
        pagination: {}
        request_id:
          type: string
        success:
          type: boolean
      type: object
    model.APIError:
      properties:
        code:
          example: RESOURCE_NOT_FOUND
          type: string
        details:
          items:
            $ref: '#/components/schemas/model.APIErrorDetail'
          type: array
        docs_url:
          type: string
        examples:
          items:
            type: string
          type: array
        hint:
          type: string
        message:
          example: The requested resource was not found.
          type: string
        suggestions:
          items:
            type: string
          type: array
      type: object
    model.APIErrorDetail:
      properties:
        field:
          type: string
        got:
          type: string
        reason:
          type: string
      type: object
  securitySchemes:
    ApiKeyAuth:
      description: 'API Key authentication. Example: "your-api-key-here"'
      in: header
      name: X-API-Key
      type: apiKey

````